Skip to main content
POST
Sign-up a non-customer for a Customer Subscription Package

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

packageId
string
required

ID of the Customer Subscription Package to use for the sign-up

Body

application/json
companyName
string
required

Name of thenew customer

Example:

"Test Company BV"

address
string
required

Street name and number of the new customer

Example:

"Teststreet 123"

zipCode
string
required

Zip code of the new customer

Example:

"1234AB"

city
string
required

City of the new customer

Example:

"Amsterdam"

email
string
required

Email of the new customer. This will be used to send notifications to.

Example:

"john.doe@test.com"

Response

Created pending record

id
string

An ID, as UUID, to identify this temporary record

Example:

"6aec2555-f3e7-4afe-a061-8bfe9687b470"

The URL the user should be redirected to for paying the first term and so initiating the subscription.

Example:

"https://mollie.com/checkout/abc..."

expiresAt
string

Date and time when the payment link and temporary record expires, written in ATOM format.

Example:

"2025-03-05T16:30:00+02:00"